[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#923153: openssh-server: OpenSSH is not "OpenBSD Secure Shell" /etc/init.d/ssh



If you guys really want to include the word 'OpenBSD', here is alternate patch.

--- openssh-server.ssh.init 2019-02-09 01:26:35.000000000 +0900
+++ openssh-server.ssh.init.corrected   2019-02-26 19:40:38.742657219 +0900
@@ -6,12 +6,12 @@
# Required-Stop:   $remote_fs $syslog
# Default-Start:   2 3 4 5
# Default-Stop:
-# Short-Description:   OpenBSD Secure Shell server
+# Short-Description:   OpenBSD's Secure Shell server
### END INIT INFO
set -e
-# /etc/init.d/ssh: start and stop the OpenBSD "secure shell(tm)" daemon
+# /etc/init.d/ssh: start and stop the OpenBSD's "secure shell(tm)" daemon
test -x /usr/sbin/sshd || exit 0
( /usr/sbin/sshd -\? 2>&1 | grep -q OpenSSH ) 2>/dev/null || exit 0
@@ -40,7 +40,7 @@
    log_end_msg 0 || true
   fi
   if ! run_by_init; then
-    log_action_msg "OpenBSD Secure Shell server not in use
(/etc/ssh/sshd_not_to_be_run)" || true
+    log_action_msg "OpenBSD's Secure Shell server not in use
(/etc/ssh/sshd_not_to_be_run)" || true
   fi
   exit 0
fi
@@ -79,7 +79,7 @@
   check_privsep_dir
   check_for_no_start
   check_dev_null
-   log_daemon_msg "Starting OpenBSD Secure Shell server" "sshd" || true
+   log_daemon_msg "Starting OpenBSD's Secure Shell server" "sshd" || true
   if start-stop-daemon --start --quiet --oknodo --pidfile
/run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
    log_end_msg 0 || true
   else
@@ -87,7 +87,7 @@
   fi
   ;;
stop)
-   log_daemon_msg "Stopping OpenBSD Secure Shell server" "sshd" || true
+   log_daemon_msg "Stopping OpenBSD's Secure Shell server" "sshd" || true
   if start-stop-daemon --stop --quiet --oknodo --pidfile /run/sshd.pid; then
    log_end_msg 0 || true
   else
@@ -98,7 +98,7 @@
reload|force-reload)
   check_for_no_start
   check_config
-   log_daemon_msg "Reloading OpenBSD Secure Shell server's
configuration" "sshd" || true
+   log_daemon_msg "Reloading OpenBSD's Secure Shell server's
configuration" "sshd" || true
   if start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile
/run/sshd.pid --exec /usr/sbin/sshd; then
    log_end_msg 0 || true
   else
@@ -109,7 +109,7 @@
restart)
   check_privsep_dir
   check_config
-   log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
+   log_daemon_msg "Restarting OpenBSD's Secure Shell server" "sshd" || true
   start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile /run/sshd.pid
   check_for_no_start log_end_msg
   check_dev_null log_end_msg
@@ -123,7 +123,7 @@
try-restart)
   check_privsep_dir
   check_config
-   log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
+   log_daemon_msg "Restarting OpenBSD's Secure Shell server" "sshd" || true
   RET=0
   start-stop-daemon --stop --quiet --retry 30 --pidfile /run/sshd.pid
|| RET="$?"
   case $RET in


Reply to: